Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.ui
Class TextAreaDialog

public class TextAreaDialog
implements ActionListener

Presents dialof box with a textarea field on the top and two buttons on the bottom: OK and CANCEL. It is possible only to get/set text in text area.

Author:
  TogetherSoft

Field Summary
`final static int` | `CANCEL` Returned by show method if Cancel button pressed.
`final static int` | `OK` Returned by show method if Ok button pressed.

Constructor Summary
`TextAreaDialog(String title, String text)` Constructs new dialog with specified title and text.
`TextAreaDialog(String title, String text, boolean readOnly)`

Method Summary
`void` | `actionPerformed(ActionEvent evt)` Actions handling
`String` | `getText()` Get text from the textarea.
`void` | `setText(String text)` Sets specified `text` into the textarea.
`int` | `show(Component parent)` Paints this dialog box and adds default action listeners to the buttons.

Field Detail

### CANCEL

    public final static int CANCEL

  Returned by show method if Cancel button pressed.

### OK

    public final static int OK

  Returned by show method if Ok button pressed.

Constructor Detail

### TextAreaDialog

    public TextAreaDialog(String title, String text)

  Constructs new dialog with specified title and text.
  Parameters:
    title - Title of this dialog box.
    text - Text to be placed into textarea. Can contains \n and \r symbols.

### TextAreaDialog

    public TextAreaDialog(String title, String text, boolean readOnly)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent evt)

  Actions handling

### getText

    public String getText()

  Get text from the textarea.

### setText

    public void setText(String text)

  Sets specified `text` into the textarea.

### show

    public int show(Component parent)

  Paints this dialog box and adds default action listeners to the buttons.
  Returns: OK if button Ok pressed or CANCEL if button Cancel pressed.

Association Links

to Class java.lang.String

to Class java.lang.String

to Class javax.swing.JTextArea

to Class javax.swing.JDialog

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD